Create Trigger

Your triggers will run according to UTC time.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

To run a file Daily at 8 AM (UTC) and 4 PM (UTC) for the "product" endpoint, you would make a request with body:

{
  "schedule_type": "daily",
  "file_id": "your_file_id_here",
  "trigger_function": [
    "product"
  ],
  "schedule_hours": [
    8,
    16
  ]
}

To run a file Weekly on Monday (1) and Thursday (4) at 8 AM (UTC) for the "product" endpoint, you would make a request with body:

{
  "schedule_type": "weekly",
  "file_id": "your_file_id_here",
  "trigger_function": [
    "product"
  ],
  "schedule_hours": [
    8
  ],
  "schedule_days_of_week": [
    1,
    4
  ]
}
Body Params
string
required
string
enum
required

The type of schedule for this trigger.

Allowed:
trigger_function
array of objects

The function(s) this trigger will run. Can be one or more of 'stock', 'product', 'reviews', 'storefront', or 'search'.

Trigger Function
Allowed:
string

The unique tracking ID for this trigger. For your own internal use.

schedule_hours
array of objects

The hour(s) of the day this trigger will run. Required if schedule_type is 'daily', 'weekly', or 'monthly'.

Schedule Hours
schedule_days_of_week
array of objects

The day(s) of the week this trigger will run. Required if schedule_type is 'weekly'.

Schedule Days Of Week
Allowed:
schedule_days_of_month
array of objects

The days of the month this trigger will run. Required if schedule_type is 'monthly'.

Schedule Days Of Month
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json